package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 施工单元桩机关系对象 cons_cons_unit_machine_rel
 * 
 * @author ruoyi
 * @date 2025-02-17
 */
public class ConsUnitMachineRel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 桩孔id */
    @Excel(name = "桩孔id")
    private Long consUnitId;

    /** 施工单元id */
    @Excel(name = "施工单元id")
    private Long machineId;

    /** 祖级id */
    @Excel(name = "祖级id")
    private String unitAncestors;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setConsUnitId(Long consUnitId) {
        this.consUnitId = consUnitId;
    }

    public Long getConsUnitId() {
        return consUnitId;
    }

    public void setMachineId(Long machineId) {
        this.machineId = machineId;
    }

    public Long getMachineId() {
        return machineId;
    }

    public void setUnitAncestors(String unitAncestors) {
        this.unitAncestors = unitAncestors;
    }

    public String getUnitAncestors() {
        return unitAncestors;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("consUnitId", getConsUnitId()).append("machineId", getMachineId())
            .append("unitAncestors", getUnitAncestors()).append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy())
            .toString();
    }
}
